Subject: Re: [PATCH] alias: restore support for simple dotted aliases

From: Jeff King <[email-masked]>
Date: Mon, 18 May 2026 20:44:58 -0400

On Tue, May 12, 2026 at 01:43:08PM +0900, Junio C Hamano wrote:

> Jonatan Holmgren <[email-masked]> writes:
> 
> > Sorry, that wasn't a "hey we should deprecate this" code-wise, I was 
> > asking from a documentation point of view, i.e. was curious how you felt 
> > about what is "advisable". Shouldn't've included that in my email
> 
> After this, the discussion went dark, but I think everything that
> needs saying has been said and we are in agreement that the current
> patch is a good way forward without closing doors for the future too
> tightly ;-)  Let me mark the topic for 'next'.

Yeah, sorry I didn't respond to Jonatan. I think the patch as-is is
fine, and if we want to push people towards the new form in the
documentation, that can be done separately.

-Peff